<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 14 15:58:36 EEST 2020 -->
<title>ClientDAO</title>
<meta name="date" content="2020-04-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClientDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClientDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/AbstractDAO.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/OrderDAO.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/ClientDAO.html" target="_top">Frames</a></li>
<li><a href="ClientDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDAO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">dao</div>
<h2 title="Class ClientDAO" class="title">Class ClientDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../dao/AbstractDAO.html" title="class in dao">dao.AbstractDAO</a>&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;</li>
<li>
<ul class="inheritance">
<li>dao.ClientDAO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClientDAO</span>
extends <a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a>&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.dao.AbstractDAO">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></h3>
<code><a href="../dao/AbstractDAO.html#LOGGER">LOGGER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#ClientDAO--">ClientDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#addRows-com.itextpdf.text.pdf.PdfPTable-java.lang.String-java.lang.String-java.lang.String-">addRows</a></span>(com.itextpdf.text.pdf.PdfPTable&nbsp;table,
       java.lang.String&nbsp;id,
       java.lang.String&nbsp;name,
       java.lang.String&nbsp;address)</code>
<div class="block">Adds a row to the table table.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#addTableHeader-com.itextpdf.text.pdf.PdfPTable-">addTableHeader</a></span>(com.itextpdf.text.pdf.PdfPTable&nbsp;table)</code>
<div class="block">Creates the header of the table table</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#checkIfExists-java.lang.String-">checkIfExists</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Searches for an element in the table client and returns an object of type Client if it exists and null otherwise</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#deleteFromOrder-int-">deleteFromOrder</a></span>(int&nbsp;clientId)</code>
<div class="block">Deletes the client with id clientId</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../model/Client.html" title="class in model">Client</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#findByIdRem-int-">findByIdRem</a></span>(int&nbsp;id)</code>
<div class="block">Searches for an item by id in the table client</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDAO.html#reportClient-int-">reportClient</a></span>(int&nbsp;fileNb)</code>
<div class="block">Create a PDF file based on the table client</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.dao.AbstractDAO">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></h3>
<code><a href="../dao/AbstractDAO.html#createObjects-java.sql.ResultSet-">createObjects</a>, <a href="../dao/AbstractDAO.html#delete-int-">delete</a>, <a href="../dao/AbstractDAO.html#findById-int-">findById</a>, <a href="../dao/AbstractDAO.html#insert-T-">insert</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClientDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClientDAO</h4>
<pre>public&nbsp;ClientDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="findByIdRem-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByIdRem</h4>
<pre>public&nbsp;<a href="../model/Client.html" title="class in model">Client</a>&nbsp;findByIdRem(int&nbsp;id)</pre>
<div class="block">Searches for an item by id in the table client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - representing the id of the searched client</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an object of type Client</dd>
</dl>
</li>
</ul>
<a name="checkIfExists-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkIfExists</h4>
<pre>public&nbsp;int&nbsp;checkIfExists(java.lang.String&nbsp;name)</pre>
<div class="block">Searches for an element in the table client and returns an object of type Client if it exists and null otherwise</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - representing the name of the searched client</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the id of the object if it exists and -1 otherwise</dd>
</dl>
</li>
</ul>
<a name="deleteFromOrder-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteFromOrder</h4>
<pre>public&nbsp;void&nbsp;deleteFromOrder(int&nbsp;clientId)</pre>
<div class="block">Deletes the client with id clientId</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientId</code> - representing the id of the client that made an order</dd>
</dl>
</li>
</ul>
<a name="reportClient-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportClient</h4>
<pre>public&nbsp;void&nbsp;reportClient(int&nbsp;fileNb)</pre>
<div class="block">Create a PDF file based on the table client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileNb</code> - representing the number of the file generated</dd>
</dl>
</li>
</ul>
<a name="addTableHeader-com.itextpdf.text.pdf.PdfPTable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTableHeader</h4>
<pre>private&nbsp;void&nbsp;addTableHeader(com.itextpdf.text.pdf.PdfPTable&nbsp;table)</pre>
<div class="block">Creates the header of the table table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>table</code> - </dd>
</dl>
</li>
</ul>
<a name="addRows-com.itextpdf.text.pdf.PdfPTable-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addRows</h4>
<pre>private&nbsp;void&nbsp;addRows(com.itextpdf.text.pdf.PdfPTable&nbsp;table,
                     java.lang.String&nbsp;id,
                     java.lang.String&nbsp;name,
                     java.lang.String&nbsp;address)</pre>
<div class="block">Adds a row to the table table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>table</code> - </dd>
<dd><code>id</code> - </dd>
<dd><code>name</code> - </dd>
<dd><code>address</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClientDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/AbstractDAO.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/OrderDAO.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/ClientDAO.html" target="_top">Frames</a></li>
<li><a href="ClientDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDAO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
